Qyra
ReferenceOrganizations

List organization members

Gets all the members of the current user's organization

GET/api/v1/org/users

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
includeGroupsnumberNo
pageSizenumberNo
pagenumberNo
searchQuerystringNo
projectUuidstringNofilter users who can view this project
googleOidcOnlybooleanNo

Responses

200 — Ok

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": [
      {
        "avatarGradient": {},
        "avatarUrl": "string",
        "isPending": true,
        "isInviteExpired": true,
        "isActive": true,
        "hasMultipleRoles": true,
        "roleUuid": "string",
        "role": "member",
        "organizationUuid": "string",
        "email": "string",
        "lastName": "string",
        "firstName": "string",
        "userUpdatedAt": "2024-01-01T00:00:00.000Z",
        "userCreatedAt": "2024-01-01T00:00:00.000Z",
        "userUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}